## mingw-w64-inkscape-1.4-1.src.tar.zst

=== src/display/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later

set(display_SRC
    cairo-utils.cpp
    curve.cpp
    drawing-context.cpp
    drawing-group.cpp
    drawing-image.cpp
    drawing-item.cpp
    drawing-paintserver.cpp
    drawing-pattern.cpp
    drawing-shape.cpp
    drawing-surface.cpp
    drawing-text.cpp
    drawing.cpp
    nr-3dutils.cpp
    nr-filter-blend.cpp
    nr-filter-colormatrix.cpp
    nr-filter-component-transfer.cpp
    nr-filter-composite.cpp
    nr-filter-convolve-matrix.cpp
    nr-filter-diffuselighting.cpp
    nr-filter-displacement-map.cpp
    nr-filter-flood.cpp
    nr-filter-gaussian.cpp
    nr-filter-image.cpp
    nr-filter-merge.cpp
    nr-filter-morphology.cpp
    nr-filter-offset.cpp
    nr-filter-primitive.cpp
    # nr-filter-skeleton.cpp
    nr-filter-slot.cpp
    nr-filter-specularlighting.cpp
    nr-filter-tile.cpp
    nr-filter-turbulence.cpp
    nr-filter-units.cpp
    nr-filter.cpp
    nr-light.cpp
    nr-style.cpp
    nr-svgfonts.cpp
    translucency-group.cpp

    control/canvas-temporary-item-list.cpp
    control/canvas-temporary-item.cpp
    control/ctrl-handle-manager.cpp
    control/ctrl-handle-rendering.cpp
    control/ctrl-handle-styling.cpp
    control/snap-indicator.cpp

    control/canvas-item.cpp
    control/canvas-item-bpath.cpp
    control/canvas-item-catchall.cpp
    control/canvas-item-context.cpp
    control/canvas-item-ctrl.cpp
    control/canvas-item-curve.cpp
    control/canvas-item-drawing.cpp
    control/canvas-item-grid.cpp
    control/canvas-item-group.cpp
    control/canvas-item-guideline.cpp
    control/canvas-item-quad.cpp
    control/canvas-item-rect.cpp
    control/canvas-item-text.cpp
    control/canvas-page.cpp

    # -------
    # Headers
    cairo-templates.h
    cairo-utils.h
    curve.h
    drawing-context.h
    drawing-group.h
    drawing-image.h
    drawing-item.h
    drawing-item-ptr.h
    drawing-paintserver.h
    drawing-pattern.h
    drawing-shape.h
    drawing-surface.h
    drawing-text.h
    drawing.h
    initlock.h
    nr-3dutils.h
    nr-filter-blend.h
    nr-filter-colormatrix.h
    nr-filter-component-transfer.h
    nr-filter-composite.h
    nr-filter-convolve-matrix.h
    nr-filter-diffuselighting.h
    nr-filter-displacement-map.h
    nr-filter-flood.h
    nr-filter-gaussian.h
    nr-filter-image.h
    nr-filter-merge.h
    nr-filter-morphology.h
    nr-filter-offset.h
    nr-filter-primitive.h
    nr-filter-skeleton.h
    nr-filter-slot.h
    nr-filter-specularlighting.h
    nr-filter-tile.h
    nr-filter-turbulence.h
    nr-filter-types.h
    nr-filter-units.h
    nr-filter-utils.h
    nr-filter.h
    nr-light-types.h
    nr-light.h
    nr-style.h
    nr-svgfonts.h
    rendermode.h
    tags.h
    translucency-group.h

    control/canvas-temporary-item-list.h
    control/canvas-temporary-item.h
    control/ctrl-handle-manager.h
    control/ctrl-handle-rendering.h
    control/ctrl-handle-styling.h
    control/snap-indicator.h

    control/canvas-item.h
    control/canvas-item-bpath.h
    control/canvas-item-buffer.h
    control/canvas-item-catchall.h
    control/canvas-item-context.h
    control/canvas-item-ctrl.h
    control/canvas-item-curve.h
    control/canvas-item-drawing.h
    control/canvas-item-enums.h
    control/canvas-item-grid.h
    control/canvas-item-group.h
    control/canvas-item-guideline.h
    control/canvas-item-ptr.h
    control/canvas-item-quad.h
    control/canvas-item-rect.h
    control/canvas-item-text.h
    control/canvas-page.h
)

# add_inkscape_lib(display_LIB "${display_SRC}")
add_inkscape_source("${display_SRC}")

=== src/io/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later

set(io_SRC
  dir-util.cpp
  file.cpp
  file-export-cmd.cpp
  resource.cpp
  fix-broken-links.cpp
  stream/bufferstream.cpp
  stream/gzipstream.cpp
  stream/inkscapestream.cpp
  stream/stringstream.cpp
  stream/uristream.cpp
  stream/xsltstream.cpp
  sys.cpp

  # -------
  # Headers
  dir-util.h
  file.h
  file-export-cmd.h
  resource.h
  fix-broken-links.h
  stream/bufferstream.h
  stream/gzipstream.h
  stream/inkscapestream.h
  stream/stringstream.h
  stream/uristream.h
  stream/xsltstream.h
  sys.h
)

# add_inkscape_lib(io_LIB "${io_SRC}")
add_inkscape_source("${io_SRC}")

=== src/3rdparty/autotrace/CMakeLists.txt ===
set ( autotrace_SRC
config.h
autotrace.c
autotrace.h
bitmap.c
bitmap.h
CMakeLists.txt
color.c
color.h
curve.c
curve.h
despeckle.c
despeckle.h
epsilon-equal.c
epsilon-equal.h
exception.c
exception.h
filename.c
filename.h
fit.c
fit.h
image-header.h
image-proc.c
image-proc.h
input.c
input.h
intl.h
logreport.c
logreport.h
median.c
module.c
output.c
output.h
private.h
pxl-outline.c
pxl-outline.h
quantize.h
spline.c
spline.h
thin-image.c
thin-image.h
types.h
vector.c
vector.h
xstd.h
)

add_inkscape_lib(autotrace_LIB "${autotrace_SRC}")

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>
# Contributor: Ray Donnelly <mingw.android@gmail.com>
# Contributor: Naveen M K <naveen521kk@gmail.com>

_realname=inkscape
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=1.4
pkgrel=1
pkgdesc="Vector graphics editor using the SVG file format (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://inkscape.org/"
msys2_repository_url="https://gitlab.com/inkscape/inkscape"
msys2_references=(
  "cpe: cpe:/a:inkscape:inkscape"
)
license=("spdx:GPL-2.0-or-later")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-gettext-tools")
depends=("${MINGW_PACKAGE_PREFIX}-aspell"
         "${MINGW_PACKAGE_PREFIX}-atkmm"
         "${MINGW_PACKAGE_PREFIX}-boost"
         "${MINGW_PACKAGE_PREFIX}-cairo"
         "${MINGW_PACKAGE_PREFIX}-cairomm"
         "${MINGW_PACKAGE_PREFIX}-fontconfig"
         "${MINGW_PACKAGE_PREFIX}-freetype"
         "${MINGW_PACKAGE_PREFIX}-gc"
         "${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-gdk-pixbuf2"
         "${MINGW_PACKAGE_PREFIX}-gettext-runtime"
         "${MINGW_PACKAGE_PREFIX}-ghostscript"
         "${MINGW_PACKAGE_PREFIX}-glib2"
         "${MINGW_PACKAGE_PREFIX}-graphicsmagick"
         "${MINGW_PACKAGE_PREFIX}-gsl"
         "${MINGW_PACKAGE_PREFIX}-gspell"
         "${MINGW_PACKAGE_PREFIX}-gtk-update-icon-cache"
         "${MINGW_PACKAGE_PREFIX}-gtkmm3"
         "${MINGW_PACKAGE_PREFIX}-gtksourceview4"
         "${MINGW_PACKAGE_PREFIX}-harfbuzz"
         "${MINGW_PACKAGE_PREFIX}-hicolor-icon-theme"
         "${MINGW_PACKAGE_PREFIX}-lcms2"
         "${MINGW_PACKAGE_PREFIX}-lib2geom"
         "${MINGW_PACKAGE_PREFIX}-libcdr"
         "${MINGW_PACKAGE_PREFIX}-libepoxy"
         "${MINGW_PACKAGE_PREFIX}-libiconv"
         "${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
         "${MINGW_PACKAGE_PREFIX}-libpng"
         "${MINGW_PACKAGE_PREFIX}-librevenge"
         "${MINGW_PACKAGE_PREFIX}-libsigc++"
         "${MINGW_PACKAGE_PREFIX}-libsoup"
         "${MINGW_PACKAGE_PREFIX}-libvisio"
         "${MINGW_PACKAGE_PREFIX}-libxml2"
         "${MINGW_PACKAGE_PREFIX}-libxslt"
         "${MINGW_PACKAGE_PREFIX}-libwpg"
         "${MINGW_PACKAGE_PREFIX}-omp"
         "${MINGW_PACKAGE_PREFIX}-pango"
         "${MINGW_PACKAGE_PREFIX}-pangomm"
         "${MINGW_PACKAGE_PREFIX}-poppler"
         "${MINGW_PACKAGE_PREFIX}-potrace"
         "${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-readline"
         "${MINGW_PACKAGE_PREFIX}-scour"
         "${MINGW_PACKAGE_PREFIX}-zlib")
optdepends=(#"${MINGW_PACKAGE_PREFIX}-pstoedit: latex formulas"
            "${MINGW_PACKAGE_PREFIX}-texlive-scheme-medium: latex formulas"
            "${MINGW_PACKAGE_PREFIX}-python-numpy: some extensions"
            "${MINGW_PACKAGE_PREFIX}-python-lxml: some extensions and filters"
            #"${MINGW_PACKAGE_PREFIX}-scour: optimized SVG output"
            #"${MINGW_PACKAGE_PREFIX}-uniconvertor: reading/writing to some proprietary formats"
            )
source=("https://media.inkscape.org/dl/resources/file/${_realname}-${pkgver}.tar.xz"
        inkscape-1.0.1-unbundle.patch
        inkscape-1.0.1-install-layout.patch
        007-no-console-clang.patch)
sha256sums=('c59a85453b699addebcd51c1dc07684dd96a10c8aec716b19551db50562e13f5'
            '92387251c1740f1a57cde9e587cc673ef1600813617bd2c9db65598c324a24d4'
            '131b2e1190637df0554ef1ee8cf46440689584375c117d057ab47d5871c58128'
            'c49d38b7c1a66e4b40e1b75fb055b730eb863a67a74d899da6d4d6db6baedcec')
noextract=("${_realname}-${pkgver}.tar.xz")

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying $_patch"
    patch -Nbp1 -i "${srcdir}/$_patch"
  done
}

prepare() {
  # Symlinks only in packaging/macos and src/3rdparty/cairo folders
  tar -xf ${_realname}-${pkgver}.tar.xz || true

  mv "${srcdir}"/${_realname}-${pkgver}_* "${srcdir}"/${_realname}-${pkgver}
  cd "${srcdir}"/${_realname}-${pkgver}

  apply_patch_with_msg \
    inkscape-1.0.1-unbundle.patch \
    inkscape-1.0.1-install-layout.patch \
    007-no-console-clang.patch
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  local -a extra_config
  if check_option "debug" "y"; then
    extra_config+=(-DCMAKE_BUILD_TYPE=Debug)
  else
    extra_config+=(-DCMAKE_BUILD_TYPE=Release)
  fi

  CFLAGS+=" -Wno-implicit-function-declaration" \
  MSYS=winsymlinks:native \
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake.exe -Wno-dev \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    "${extra_config[@]}" \
    -DBUILD_TESTING=OFF \
    -DCMAKE_AR=${MINGW_PREFIX}/bin/ar \
    -DWITH_IMAGE_MAGICK=OFF \
    -DWITH_INTERNAL_2GEOM=OFF \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd ${srcdir}/build-${MSYSTEM}
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .

  install -Dm644 "${srcdir}"/${_realname}-${pkgver}/COPYING "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
